Returns time cards

This call returns a paginated list of time card summary information for the specified job, foreman, and date range.
If there are additional pages, the response metadata will include a "nextCursor" field. That field should be passed as the "cursor" query parameter to request the next page of results.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
uuid

The job guid. If omitted, returns time cards across all jobs.

uuid

The foreman guid. If omitted, returns time cards across all foremen.

uuid

If specified, returns only time cards having this employee.

date-time

The start date in yyyy-MM-dd format. If omitted, returns time cards from the beginning of time. (bounded by the end date).

date-time

The end date in yyyy-MM-dd format. If omitted, returns time cards until the end of time. (bounded by the start date).

date-time

If specified, returns only records that have been modified since this time. In RFC-3339 format. (yyyy-MM-ddThh:mm:ssZ) Or (yyyy-MM-ddThh:mm:ss.FFFFFFFZ)

boolean

If true, returns only time cards with costs codes marked as T&M

string

Optional. When there are additional results, the metadata nextCursor field should be passed to retrieve the next page of results.

int32
Defaults to 1000

The maximum number of results that should be returned.

boolean

Optional. When set, returns only time cards with a status of approved.

boolean

Optional. When true, returns only time cards with a status of accepted.
This combines with isApproved and isReviewed parameters with AND logic.

boolean

Optional. When true, returns only time cards with a status of accepted.
This combines with isAccepted and isApproved parameters with AND logic.

uuid

Optional. The business unit ID. If omitted, returns time cards for all business units.

Responses

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json